import request from '@/utils/request'

/**
 * 上传文件通用接口
 * @param file File 对象
 */
export function uploadFile(file: File) {
    const formData = new FormData()
    formData.append('file', file)

    return request({
        // ★★★ [修改] 去掉开头的 /api，适配 request.ts 的 baseURL
        url: '/v1/common/upload',
        method: 'post',
        data: formData,
        headers: {
            'Content-Type': 'multipart/form-data'
        }
    })
}